Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 477)
@@ -183,7 +183,7 @@
                 switch (ProductDefine.ProductType)
                 {
                     case (int)ProductDefine.ProductTypeDef.Originals:
-                        // ----- オリジナル版
+                    // ----- オリジナル版
                     case (int)ProductDefine.ProductTypeDef.ProductsModelType2_1:
                     case (int)ProductDefine.ProductTypeDef.ProductsModelType2_2:
                         // ----- 製品版（承認バージョン）
@@ -529,7 +529,7 @@
                 }
                 // 入力完了後は確定した受注金額を持ってくる
                 if (LedgerRec.ComplateFlg == (int)ConstructionLedger.CompFlagDef.Complated) OrdersPrice = (int)LedgerRec.OrdersDecisionPrice;
-                
+
                 m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text = @"\" + OrdersPrice.ToString("#,0");                                      // 受注金額
 
                 // 工事基本情報明細取得
@@ -685,7 +685,7 @@
                         break;
 
                 }
-                
+
                 switch (DetailRec.SalaryFlg)
                 {
                     case (int)CommonDefine.SalaryDevision.All:       // 全日
@@ -733,7 +733,7 @@
 
                 strSQL += ", CONSTRUCTIONBASEINFO B, PROCESSAPPROVAL C";
 
-                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}",m_ConstructionCode);
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
                 strSQL += " AND B.CONSTRUCTIONCODE = A.FLUCTUATIONCODE";
                 strSQL += " AND (C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
@@ -1545,7 +1545,7 @@
             try
             {
                 DataGridViewEX dgv = dgvAllDisplay;
-                
+
                 // 支払可能額のカラム位置
                 int ResultCols = dgv.ColumnCount + (int)ColPayTotal.Results;
                 int OrverCols = dgv.ColumnCount + (int)ColPayTotal.Overpayments;
@@ -1647,6 +1647,7 @@
         #endregion
 
         #region データ表示処理
+        private DateTime m_dtLoadData = DateTime.Now;
         /// <summary>
         /// 初期時データ取得
         /// </summary>
@@ -1679,6 +1680,9 @@
                 CreateAllTotal(false);
                 /// 現在利益計算
                 CalculateCurrentProfit();
+
+                //　読込時間を退避する
+                m_dtLoadData = DateTime.Now;
             }
             catch (Exception ex)
             {
@@ -1783,7 +1787,7 @@
                 // 工事予算書明細データを読み込む
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append(DetailDB.CreatePrimarykeyString(m_ConstructionCode));
-                strSQL.AppendFormat(" AND GROUPCOUNT IN ({0}, {1}, {2}, {3}, {4}, {5}, {6}, {7}, {8}, {9}, {10}, {11})", 
+                strSQL.AppendFormat(" AND GROUPCOUNT IN ({0}, {1}, {2}, {3}, {4}, {5}, {6}, {7}, {8}, {9}, {10}, {11})",
                                                             (int)FrmConstructionBudget.DataGroup.CommonTempCosts,       // 共通仮設
                                                             (int)FrmConstructionBudget.DataGroup.OutSourceCosts,        // 外注費
                                                             (int)FrmConstructionBudget.DataGroup.MyConstruction,        // 自社施工
@@ -2039,7 +2043,7 @@
                 // 経費率取得
                 double dExpenses = CommonMotions.cnvDouble(ObjCurRec[(int)ExpRecDef.AmountConfigRate]);
                 // 経費名称取得
-                string strVallue= CommonMotions.cnvString(ObjCurRec[(int)ExpRecDef.ExpensesName]);
+                string strVallue = CommonMotions.cnvString(ObjCurRec[(int)ExpRecDef.ExpensesName]);
 
                 DataGridViewEX dgv = dgvAllDisplay;
                 object[] RowSetData = new object[dgv.Columns.Count];
@@ -2223,7 +2227,7 @@
                 ArrayList DetailList = new ArrayList();
                 if (!DetailDB.ExecuteReader(strSQL.ToString(), ref DetailList)) return;
                 if (DetailList.Count == 0) return;
-                
+
                 m_ExpensesList.Clear();
 
                 foreach (object[] CurRec in DetailList)
@@ -2365,7 +2369,7 @@
                 double Estimateprice = 0;
                 double ExecutionAmount = 0;
                 double AmountConfigRate = 0;
-                SumBudgetDataFromList(FromData, ref Estimateprice, ref  ExecutionAmount, ref  AmountConfigRate, (int)FrmConstructionBudget.DataGroup.PurchaseCosts);
+                SumBudgetDataFromList(FromData, ref Estimateprice, ref ExecutionAmount, ref AmountConfigRate, (int)FrmConstructionBudget.DataGroup.PurchaseCosts);
                 DataGridViewEX dgv = dgvAllDisplay;
                 int GroupNo = (int)DataGroup.PurchaseCosts;
                 object[] wrkobj = new object[] { Estimateprice, ExecutionAmount, AmountConfigRate };
@@ -2474,7 +2478,7 @@
 
                         // 内部リストへデータをセットする
                         CreatePersonCosts(GroupNo, DetailRec, bExists, ref RowData);
-                        
+
                         // 一般ユーザーは指導員の給与を見えないようにする
                         if (CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
                         break;
@@ -2568,7 +2572,7 @@
                 switch (ProductDefine.ProductType)
                 {
                     case (int)ProductDefine.ProductTypeDef.Originals:
-                        // ----- オリジナル
+                    // ----- オリジナル
                     case (int)ProductDefine.ProductTypeDef.ProductsModelType2_1:
                     case (int)ProductDefine.ProductTypeDef.ProductsModelType2_2:
                         // ----- 製品版（承認バージョン）
@@ -2629,7 +2633,7 @@
                             SalaryDays = BudgetRec.SalaryDays;                                          // 給与振分日数
                             RowData[(int)GridColumn.SalaryOnRegist] = BudgetRec.CreatorCosts;           // 登録時月額給与
                             break;
-             
+
                         case (int)DataGroup.Assistant:                                                  // 副担当者
                             if (BudgetRec.AssistantCode == 0)                                           // 給与振分区分
                                 SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
@@ -2714,7 +2718,7 @@
                 //ExecValue = WorkRow.Sum(y => CommonMotions.cnvInt(y.Cells[(int)GridColumn.ExecPrice].Value));           // 実行金額
                 //PercentValue = WorkRow.Sum(y => CommonMotions.cnvDouble(y.Cells[(int)GridColumn.Percent].Value));       // 構成比率
 
-                ExecValue = WorkRow.Where(x=> !CommonMotions.cnvBool(x.Cells[(int)GridColumn.InvalidLine].Value))
+                ExecValue = WorkRow.Where(x => !CommonMotions.cnvBool(x.Cells[(int)GridColumn.InvalidLine].Value))
                                     .Sum(y => CommonMotions.cnvInt(y.Cells[(int)GridColumn.ExecPrice].Value));          // 実行金額
 
                 PercentValue = WorkRow.Where(x => !CommonMotions.cnvBool(x.Cells[(int)GridColumn.InvalidLine].Value))
@@ -2751,7 +2755,7 @@
             {
                 long lRet = 0;
 
-                foreach(DataGridViewRow CurRow in dgvAllDisplay.Rows)
+                foreach (DataGridViewRow CurRow in dgvAllDisplay.Rows)
                 {
                     int nGroupNo = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.GroupCount].Value);
                     // 施工費から担当者給与までの行を加算する
@@ -2849,7 +2853,7 @@
             {
                 int nPo = 0;
                 int i = 0;
-                foreach(object[] CurObj in DetailList)
+                foreach (object[] CurObj in DetailList)
                 {
                     // 同じコードの行数を取得する
                     int nCurCode = CommonMotions.cnvInt(CurObj[(int)IOConstructionLedgerDetail.TableColumn.SourceCode]);
@@ -2994,10 +2998,12 @@
                     RowData[(int)GridColumn.FixFlg] = "*";
                     RowData[(int)GridColumn.GroupCount] = (int)DataGroup.NetIncome;
                     if (nRowCnt < 1) RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)DataGroup.NetIncome];
+
                     RowData[(int)GridColumn.EstimatePrice] = DispVal[0].ToString("#,0");
                     RowData[(int)GridColumn.ExecPrice] = DispVal[1].ToString("#,0");
                     RowData[(int)GridColumn.Percent] = CalculattionPercent((double)DispVal[1]).ToString("0.00");
                     RowData[(int)GridColumn.OrderPrice] = DispVal[2].ToString("#,0");
+
                     RowData[(int)GridColumn.IndependentFlg] = "1";
                     RowData[(int)GridColumn.SourceCode] = CurCode;
                     // 増減フラグ
@@ -3601,10 +3607,10 @@
             {
                 DataGridView dgv = dgvAllDisplay;
                 bool bRet = false;
-                foreach(DataGridViewRow CurRow in dgv.Rows)
+                foreach (DataGridViewRow CurRow in dgv.Rows)
                 {
                     int nNo = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.No].Value);
-                    if(nNo==((int)DataGroup.TransportationCosts + 1))
+                    if (nNo == ((int)DataGroup.TransportationCosts + 1))
                     {
                         bRet = true;
                         break;
@@ -3722,6 +3728,9 @@
         {
             try
             {
+                // 対象工事番号を取得する                
+                List<long> CodeList = GetTargetCode();
+
                 // 工事詳細台帳明細データを読み込む
                 strcmd.Append("SELECT");
                 strcmd.Append("  A.*");
@@ -3779,7 +3788,18 @@
                                                                                                     , m_CommonCosts.NormalManagementPublic
                                                                                                     , m_CommonCosts.NormalManagementPrivate);
                 strcmd.Append("                       On EstSum.ConstructionCode = Bdd.ConstructionCode");
-                strcmd.AppendFormat("       Where Bdd.ConstructionCode = {0}", m_ConstructionCode);
+
+                //strcmd.AppendFormat("       Where Bdd.ConstructionCode = {0}", m_ConstructionCode);
+                strcmd.Append("             Where Bdd.ConstructionCode in (");
+                bool bFirst = false;
+                foreach (long CurCode in CodeList)
+                {
+                    if (bFirst) strcmd.Append(", ");
+                    strcmd.AppendFormat(" {0}", CurCode);
+                    bFirst = true;
+                }
+                strcmd.Append(")");
+
                 strcmd.AppendFormat("       AND Bdd.GroupCount = {0}", (int)FrmConstructionBudget.DataGroup.Expenses);
                 strcmd.Append("             Group By Bdd.ConstructionCode) As Budget1 ON Budget1.ConstructionCode = A.SourceCode");
 
@@ -3786,7 +3806,18 @@
                 // 施工費取得
                 strcmd.Append("   LEFT JOIN(Select Bdd.ConstructionCode, SUM(Bdd.EstimatePrice) As SumOdrVal, SUM(Bdd.ExecutionAmount) As SumExecVal");
                 strcmd.Append("             From ConstructionBudgetdetail As Bdd");
-                strcmd.AppendFormat("       WHERE Bdd.ConstructionCode = {0}", m_ConstructionCode);
+
+                //strcmd.AppendFormat("       WHERE Bdd.ConstructionCode = {0}", m_ConstructionCode);
+                strcmd.Append("             Where Bdd.ConstructionCode in (");
+                bFirst = false;
+                foreach (long CurCode in CodeList)
+                {
+                    if (bFirst) strcmd.Append(", ");
+                    strcmd.AppendFormat(" {0}", CurCode);
+                    bFirst = true;
+                }
+                strcmd.Append(")");
+
                 strcmd.AppendFormat("       AND Bdd.GroupCount In ({0}, {1}, {2})", (int)FrmConstructionBudget.DataGroup.CommonTempCosts
                                                                                     , (int)FrmConstructionBudget.DataGroup.OutSourceCosts
                                                                                     , (int)FrmConstructionBudget.DataGroup.MyConstruction);
@@ -3795,7 +3826,18 @@
                 // 諸経費取得
                 strcmd.Append("   LEFT JOIN(Select Bdd.ConstructionCode, SUM(Bdd.EstimatePrice) As SumOdrVal, SUM(Bdd.ExecutionAmount) As SumExecVal");
                 strcmd.Append("             From ConstructionBudgetdetail As Bdd");
-                strcmd.AppendFormat("       WHERE Bdd.ConstructionCode = {0}", m_ConstructionCode);
+
+                //strcmd.AppendFormat("       WHERE Bdd.ConstructionCode = {0}", m_ConstructionCode);
+                strcmd.Append("             Where Bdd.ConstructionCode in (");
+                bFirst = false;
+                foreach (long CurCode in CodeList)
+                {
+                    if (bFirst) strcmd.Append(", ");
+                    strcmd.AppendFormat(" {0}", CurCode);
+                    bFirst = true;
+                }
+                strcmd.Append(")");
+
                 strcmd.AppendFormat("       AND Bdd.GroupCount In ({0}, {1}, {2}, {3}, {4}, {5})"
                                                                                     , (int)FrmConstructionBudget.DataGroup.PurchaseCosts
                                                                                     , (int)FrmConstructionBudget.DataGroup.VehicleLeaseFee
@@ -3813,7 +3855,18 @@
                 strcmd.AppendFormat("                      And EstSumA.ComponentCode in ({0}, {1})) As EstSum", m_CommonCosts.FieldManagementPublic
                                                                                                     , m_CommonCosts.FieldManagementPrivate);
                 strcmd.Append("                       On EstSum.ConstructionCode = Bdd.ConstructionCode");
-                strcmd.AppendFormat("       WHERE Bdd.ConstructionCode = {0}", m_ConstructionCode);
+
+                //strcmd.AppendFormat("       WHERE Bdd.ConstructionCode = {0}", m_ConstructionCode);
+                strcmd.Append("             Where Bdd.ConstructionCode in (");
+                bFirst = false;
+                foreach (long CurCode in CodeList)
+                {
+                    if (bFirst) strcmd.Append(", ");
+                    strcmd.AppendFormat(" {0}", CurCode);
+                    bFirst = true;
+                }
+                strcmd.Append(")");
+
                 strcmd.AppendFormat("       AND Bdd.GroupCount In ({0}, {1}, {2})"
                                                                                     , (int)FrmConstructionBudget.DataGroup.InstructorCosts
                                                                                     , (int)FrmConstructionBudget.DataGroup.AssistantCosts
@@ -3829,7 +3882,51 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 対象工事番号を取得する
+        /// <summary>
+        /// 対象工事番号を取得する
+        /// </summary>
+        /// <returns></returns>
+        private List<long> GetTargetCode()
+        {
+            IOConstructionLink LinkDB = new IOConstructionLink();
+            List<long> GetList = new List<long>();
+            try
+            {
+                int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select A.FluctuationCode From constructionlink As A");
+                strSQL.Append("                Inner Join processapproval As B");
+                strSQL.Append("                      On B.ConstructionCode = A.FluctuationCode");
+                strSQL.AppendFormat("                And B.ApprovalCode = {0}", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
+                strSQL.Append("                      And B.SeqNo = 1");
+                strSQL.AppendFormat("                And B.ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL.Append("                Inner Join constructionbaseinfo As C");
+                strSQL.Append("                      On C.ConstructionCode = A.FluctuationCode");
+                strSQL.AppendFormat("                And C.ConstructionStatusFlg <> {0}", iStatus);
+                strSQL.AppendFormat("      Where A.ConstructionCode = {0}", m_ConstructionCode);
+
+                ArrayList getdata = new ArrayList();
+                if (!LinkDB.ExecuteReader(strSQL.ToString(), ref getdata)) return GetList;
+
+                GetList.Add(m_ConstructionCode);
+                foreach (object[] curObj in getdata)
+                {
+                    GetList.Add(CommonMotions.cnvLong(curObj[0]));
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                LinkDB.close(); LinkDB = null;
+            }
+            return GetList;
+        }
         #endregion
 
         #region 表示データ読込順
@@ -4110,7 +4207,7 @@
 
                         DateTime ExcuteRec_TargetMonth = CommonMotions.cnvDate(objExcuteRec[DetailCnt]);
                         double ExcuteRec_PaymentAmount = CommonMotions.cnvDouble(objExcuteRec[DetailCnt + 1]);
-                        
+
                         // 年月が最小値はデータ無
                         if (ExcuteRec_TargetMonth == DateTime.MinValue) break;
 
@@ -4393,7 +4490,7 @@
                     PaymentPoint = ix;
                     break;
                 }
-                
+
                 // 計上月を確認する
                 RowData[PaymentPoint] = dExpenss.ToString("#,0");
 
@@ -4798,7 +4895,7 @@
 
                 // 追加できるかの判定
                 int InsertCnt = 0;
-                if(!CheckNewMakeRow(ref InsertCnt)) return;
+                if (!CheckNewMakeRow(ref InsertCnt)) return;
 
                 // 選択行が不正ならば処理しない
                 if (InsertCnt == 0) return;
@@ -5118,7 +5215,7 @@
                     {
                         if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.BlankFlg].Value) == 1) break;
                         if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.JoinTitleFlg].Value) == 1) break;
-                        
+
                         // 従属項目がある行は子行を採番する
                         if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.IndependentFlg].Value) != 1)
                         {
@@ -5336,6 +5433,9 @@
                                         , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
                 }
 
+                // データ最新時間チェック
+                if (!CheckDataLoadTime(LedgerDB, Display)) return false;
+
                 // データ接続
                 LedgerDB.connect(); LedgerDB.beginTran();
                 DetailDB.connect(); DetailDB.beginTran();
@@ -5651,7 +5751,7 @@
                     CurRec.NameCode = CommonMotions.cnvInt(CurRow.Cells[RCnt].Value);
                     if (CurRec.NameCode < 1) continue;
                     RCnt = (int)GridColumn.Percent;                                     // 経費率
-                    CurRec.ExpensesRaito = CommonMotions.cnvDouble(CurRow.Cells[RCnt].Value); 
+                    CurRec.ExpensesRaito = CommonMotions.cnvDouble(CurRow.Cells[RCnt].Value);
                     RCnt = dgv.ColumnCount + (int)ColPayTotal.Totals;                   // 経費金額
                     CurRec.ExpensesValue = CommonMotions.cnvLong(CurRow.Cells[RCnt].Value);
 
@@ -5830,7 +5930,7 @@
 
                 // 金額構成率
                 NewRec.AmountConfigRate = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Percent].Value);
-                
+
                 // 支払補填額
                 if (GroupCnt == (int)DataGroup.Expenses) NewRec.PaymentBurden = 0;
                 NewRec.PaymentBurden = CommonMotions.cnvDouble(wrkRow.Cells[PaymentBurdenCol].Value);
@@ -5973,7 +6073,7 @@
 
                 NewRec.ConstructionCode = m_ConstructionCode;                                                       // 工事番号
                 NewRec.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);           // グループ番号
-                NewRec.LineCount =  RowLineCnt;                                                                     // 行番号
+                NewRec.LineCount = RowLineCnt;                                                                     // 行番号
                 NewRec.ColumnCount = ColCnt;                                                                        // 列番号
                 NewRec.PaymentAmount = CommonMotions.cnvDouble(wrkRow.Cells[ColCnt].Value);                         // 支払金額
                 string strTarget = CommonMotions.cnvString(dgvAllDisplay.Columns[ColCnt].HeaderCell.Value).Replace("年", "/").Replace("月", "/") + "01";
@@ -5989,6 +6089,64 @@
         #endregion
         // ---------- データ登録↑↑
 
+        #region データ最新時間チェック
+        /// <summary>
+        /// データ最新時間チェック
+        /// </summary>
+        private bool CheckDataLoadTime(IOConstructionLedger LedgerDB, bool Display)
+        {
+            FrmCustomMsgBox frm = new FrmCustomMsgBox();
+            try
+            {
+                // 画面表示無時処理しない。
+                if (!Display) return true;
+
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select Max(UpdateDate) From constructionledgerdetail");
+                strSQL.AppendFormat(" Where ConstructionCode = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" And GroupCount = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
+                ArrayList arData = new ArrayList();
+                if (!LedgerDB.ExecuteReader(strSQL.ToString(), ref arData)) return false;
+                if (arData.Count < 1) return true;
+
+                object[] vs = (object[])arData[0];
+                DateTime dtwrk = CommonMotions.cnvDate(vs[0]);
+
+                // 読込時間比較
+                if (m_dtLoadData < dtwrk)
+                {
+                    // 表示文字表示／非表示
+                    frm.DisplayVisbleType1 = true;
+                    frm.DisplayVisbleType2 = false;
+                    frm.VisibleType2_1 = false;
+                    frm.VisibleType2_2 = false;
+                    // Type1表示文字
+                    frm.DisplayTextType1 = "データ読込み後に更新されています！\r\n上書きしますか？\r\n上書きしない場合はCANCEL後、\r\n最新状態に更新して下さい。";
+                    // Type1表示文字色
+                    frm.DisplayTextForeColorType1 = Color.Yellow;
+                    frm.DisplayTextBackColorType1 = Color.Black;
+                    // Type1表示文字フォント
+                    frm.DisplayTextFontType1 = new Font(frm.DisplayTextFontType1.Name, 16f, FontStyle.Bold);
+
+                    frm.ShowDialog();
+                    if (frm.ReturnValue == DialogResult.Cancel) return false;
+
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
         #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
@@ -6404,7 +6562,7 @@
             try
             {
                 DataGridViewEX dgv = dgvAllDisplay;
-                
+
                 int ResultCols = dgv.ColumnCount + (int)ColPayTotal.Results;
                 int OverpaymentCols = dgv.ColumnCount + (int)ColPayTotal.Overpayments;
 
@@ -6413,7 +6571,7 @@
                 // 実行金額がマイナスの場合は計算しない 2017/09/04
                 // 利益計が合わなくなるので計算する 2017/10/13
                 // if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.ExecPrice].Value) < 0) return;
-                
+
                 int ResultValue = CommonMotions.cnvInt(CurRow.Cells[ResultCols].Value);
                 // 支払可能額がマイナスになったら文字を赤にする
                 if (ResultValue < 0)
@@ -6596,7 +6754,7 @@
         /// 担当者／副担当者／指導員にコード・名前をセットする
         /// </summary>
         /// <param name="DetailRec"></param>
-        private void SetFirstStringName(int GroupNo,ref ConstructionBudgetDetail DetailRec)
+        private void SetFirstStringName(int GroupNo, ref ConstructionBudgetDetail DetailRec)
         {
             IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
@@ -6635,7 +6793,7 @@
 
                 DetailRec.FirstString = string.Format("{0}【{1}氏】", s_GroupTitle[GroupNo], PersonRec.SealPrintName);
                 DetailRec.ComponentCode = PersonRec.DepartmentCode;
-                
+
             }
             catch (Exception ex)
             {
@@ -6757,14 +6915,14 @@
                 //int nextRowCnt = CurRow.Index + 1;
                 //if (nextRowCnt < dgv.RowCount)
                 //{
-                    // 自行は独立項目
-                    //if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.IndependentFlg].Value) == 1)
-                    //{
-                    //    // 次行は従属項目
-                    //    //if (CommonMotions.cnvInt(dgv.Rows[nextRowCnt].Cells[(int)GridColumn.ChildFlg].Value) == 1)
-                    //        //bDspTotalFlg = false;
-                    //}
+                // 自行は独立項目
+                //if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.IndependentFlg].Value) == 1)
+                //{
+                //    // 次行は従属項目
+                //    //if (CommonMotions.cnvInt(dgv.Rows[nextRowCnt].Cells[(int)GridColumn.ChildFlg].Value) == 1)
+                //        //bDspTotalFlg = false;
                 //}
+                //}
 
                 // 支払い合計計算
                 int nTotalCols = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -6801,8 +6959,8 @@
                         int OrderPrice = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.OrderPrice].Value);
                         if (OrderPrice > 0) ExecPrice = OrderPrice;
 
-                         // 実績表示
-                         int ResultValue = (ExecPrice - RowTotal);
+                        // 実績表示
+                        int ResultValue = (ExecPrice - RowTotal);
 
                         CurRow.Cells[nTotalCols].Value = RowTotal.ToString("#,0");
                         CurRow.Cells[nResultCols].Value = ResultValue.ToString("#,0");
@@ -8203,7 +8361,7 @@
                         if (!SetJoinBudget(ConstrCode, ref TargetLine)) return false;
                         break;
                 }
-                
+
                 // 行のエリアを更新する
                 SetCostsRowCount();
 
@@ -8843,7 +9001,7 @@
                     RowData[(int)GridColumn.EstimatePrice] = DetailRec.ExecutionAmount.ToString("#,0");
                     RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
                     RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
-                    
+
                     RowData[(int)GridColumn.IndependentFlg] = "1";
                     RowData[(int)GridColumn.FluctuationFlg] = FluctuationNo;
                     RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
@@ -8926,7 +9084,7 @@
         {
             try
             {
-                if (DataSource == (int)DataCreateFlg.DataBudget) return　true;
+                if (DataSource == (int)DataCreateFlg.DataBudget) return true;
 
                 // 請求金額
                 if (!SetJoinData_AddBillingRow((int)DataGroup.BillingAmount, ConstrCode)) return false;
@@ -8992,7 +9150,7 @@
                 double TotalValue = 0;
                 DataGridViewRow ExecRow = dgv.Rows[TargetLine];
                 ExecRow.Cells[(int)GridColumn.SourceCode].Value = m_ConstructionCode;
-                
+
                 // 工事詳細台帳がある場合のみ実績セット
 
                 // ----- 支払いデータをセットする
@@ -9139,7 +9297,7 @@
                 DB00.commit();
                 DB01.commit();
                 DB02.commit();
-                
+
                 DB00.close(); DB00 = null;
                 DB01.close(); DB01 = null;
                 DB02.close(); DB02 = null;
@@ -9585,7 +9743,7 @@
                 int nDataGridLast = (dgv.ColumnCount - 1) - Enum.GetNames(typeof(ColPayTotal)).Length;
                 // 最終年月取得
                 int nDispMonth = CommonMotions.cnvInt(dgv.Columns[nDataGridLast].HeaderText.Replace("年", "").Replace("月", ""));
-            
+
                 // 処理月が画面に表示されていれば処理終了
                 if (m_ReqSumTargetMonth <= nDispMonth) return;
 
@@ -10423,7 +10581,7 @@
                                                                 , CurRec.SeqNo
                                                                 , CurRec.GroupCount
                                                                 , CurRec.LineCount));
-                    if(!upDB.UpdateFeild(strSQL.ToString()
+                    if (!upDB.UpdateFeild(strSQL.ToString()
                                             , (int)IOPurchaseOrderDetail.TableColumn.SourceCode
                                             , GetRec.SourceCode
                                             , false))
@@ -10431,7 +10589,7 @@
                         upDB.rollback();
                         break;
                     }
-                    if(!upDB.UpdateFeild(strSQL.ToString()
+                    if (!upDB.UpdateFeild(strSQL.ToString()
                                             , (int)IOPurchaseOrderDetail.TableColumn.SourceDetailCnt
                                             , GetRec.SourceDetailCnt
                                             , false))
@@ -10483,7 +10641,7 @@
                     int nCode = CommonMotions.cnvInt(objRec[0]);
                     DateTime wrkDT = CommonMotions.cnvDate(objRec[1]);
 
-                    if(!BaseDB.UpdateFeild(nCode,(int)IOConstructionBaseInfo.TableColumn.BillingDate,wrkDT,false))
+                    if (!BaseDB.UpdateFeild(nCode, (int)IOConstructionBaseInfo.TableColumn.BillingDate, wrkDT, false))
                     {
                         BaseDB.rollback();
                         MessageBox.Show("更新エラー");
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedgerList/CommonLedgerData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedgerList/CommonLedgerData.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedgerList/CommonLedgerData.cs	(revision 477)
@@ -532,6 +532,7 @@
         {
             try
             {
+                if (ArrarySalary.Count < 1) return;
                 // デフォルト開始・終了を取得する
                 DateTime dtDefaultStart = CommonMotions.GetOpeningEndDate(nNowYear, true);
                 DateTime dtDefaultEnd = CommonMotions.GetOpeningEndDate(nNowYear, false);
